<Manage::FieldContainer @title={{@title}} @isDisabled={{@disabled}} @isSaveDisabled={{@disabled}}
  @editablePanel={{@editablePanel}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{this.cancel}} ...attributes>
  <:view>
    {{#if @value.name}}
      {{@value.name}}

      {{#if @value.url}}
        -
        <a href={{@value.url}}>{{@value.url}}</a>
      {{/if}}
    {{else}}
      <div class='alert alert-warning alert-message-license-not-set' role='alert'>
        {{t 'message-alert-license-not-set'}}
      </div>
    {{/if}}
  </:view>

  <:edit>
    <div class='mb-3'>
      <label for='{{this.elementId}}-name' class='form-label'>{{t
          'name'
        }}</label>
      <Input @value={{this.name}} id='{{this.elementId}}-name' @type='text' class='input-license-name form-control' />
    </div>
    <div class='mb-3'>
      <label for='{{this.elementId}}-url' class='form-label'>url</label>
      <Input @value={{this.url}} id='{{this.elementId}}-url' @type='text' class='input-license-url form-control' />
    </div>
  </:edit>
</Manage::FieldContainer>